﻿using System;

namespace CirclePropertiesCalculator
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("iNetTutor.com");
            Console.WriteLine("Circle Properties Calculator");

            // Ask the user to enter the radius
            Console.Write("Enter the radius of the circle: ");

            // Read user input and convert it to a double
            if (double.TryParse(Console.ReadLine(), out double radius) && radius >= 0)
            {
                // Calculate diameter, area, and circumference
                double diameter = 2 * radius;
                double area = Math.PI * Math.Pow(radius, 2);
                double circumference = 2 * Math.PI * radius;

                // Display the results
                Console.WriteLine($"Diameter: {diameter}");
                Console.WriteLine($"Area: {area}");
                Console.WriteLine($"Circumference: {circumference}");
            }
            else
            {
                Console.WriteLine("Invalid input. Please enter a valid non-negative number for the radius.");
            }

            Console.WriteLine("Press any key to exit.");
            Console.ReadKey();
        }
    }
}